package app.furmeet.events.system.helper

import app.furmeet.events.system.schedule.abstractDataTypes.GregorianCalendarRange
import java.util.*

val GregorianCalendar.dayRange
    get() = GregorianCalendarRange(
            GregorianCalendar(
                    this.get(GregorianCalendar.YEAR),
                    this.get(GregorianCalendar.MONTH),
                    this.get(GregorianCalendar.DAY_OF_MONTH),
                    0, 0),
            GregorianCalendar(
                    this.get(GregorianCalendar.YEAR),
                    this.get(GregorianCalendar.MONTH),
                    this.get(GregorianCalendar.DAY_OF_MONTH),
                    23, 59, 59).apply { timeInMillis += 1000 }
    )